Subject: Re: [PATCH] prism54: wpa support for fullmac cards

From: "Jouni Malinen" <[email-masked]>
Date: Wed, 4 Oct 2006 14:43:41 -0700

On Wed, Oct 04, 2006 at 04:12:26PM +0200, [email-masked] wrote:

> the AP code never worked. And the hostapd-ioctl interface was designed 
> for prism2/2.5/3 cards, but not for "fullmac" prism54.

What do you mean by never working? I have seen fullmac Prism54
completing WPA authentication with hostapd.. This was using the
driver_prism54.c in hostapd, not the Host AP driver interface.

> (BTW, hostapd's backend for prism54 uses a "proprietary" interface - 
> PIMFOR -, which never made it into the kernel.) 

But it worked in the external driver. So yes, saying that the version in
kernel tree never worked in AP mode would probably be valid.

And as far as the WEXT interface in hostapd is concerned, no, there is
no such thing yet.

-- 
Jouni Malinen                                            PGP id EFC895FA